gi-cairo-1.0.30: Cairo bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Cairo.Structs.Glyph

Contents

- Exported types
- Methods
- Properties
  - index
  - x
  - y

Description

No description available in the introspection data.

Synopsis

- newtype Glyph = Glyph (ManagedPtr Glyph)
- newZeroGlyph :: MonadIO m => m Glyph
- getGlyphIndex :: MonadIO m => Glyph -> m CULong
- setGlyphIndex :: MonadIO m => Glyph -> CULong -> m ()
- getGlyphX :: MonadIO m => Glyph -> m Double
- setGlyphX :: MonadIO m => Glyph -> Double -> m ()
- getGlyphY :: MonadIO m => Glyph -> m Double
- setGlyphY :: MonadIO m => Glyph -> Double -> m ()

# Exported types

newtype Glyph Source #

Memory-managed wrapper type.

Constructors

Glyph (ManagedPtr Glyph) |

#### Instances

Instances details

Eq Glyph Source # |
Instance details Defined in GI.Cairo.Structs.Glyph Methods (==) :: Glyph -> Glyph -> Bool Source # (/=) :: Glyph -> Glyph -> Bool Source #
GBoxed Glyph Source # |
Instance details Defined in GI.Cairo.Structs.Glyph
ManagedPtrNewtype Glyph Source # |
Instance details Defined in GI.Cairo.Structs.Glyph Methods toManagedPtr :: Glyph -> ManagedPtr Glyph Source #
TypedObject Glyph Source # |
Instance details Defined in GI.Cairo.Structs.Glyph Methods glibType :: IO GType Source #
HasParentTypes Glyph Source # |
Instance details Defined in GI.Cairo.Structs.Glyph
tag ~ 'AttrSet => Constructible Glyph tag Source # |
Instance details Defined in GI.Cairo.Structs.Glyph Methods new :: MonadIO m => (ManagedPtr Glyph -> Glyph) -> [AttrOp Glyph tag] -> m Glyph Source #
IsGValue (Maybe Glyph) Source # | Convert `Glyph` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Cairo.Structs.Glyph Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe Glyph -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe Glyph) Source #
type ParentTypes Glyph Source # |
Instance details Defined in GI.Cairo.Structs.Glyph type ParentTypes Glyph = '[] :: [Type]

newZeroGlyph :: MonadIO m => m Glyph Source #

Construct a `Glyph` struct initialized to zero.

# Methods

# Properties

## index

No description available in the introspection data.

getGlyphIndex :: MonadIO m => Glyph -> m CULong Source #

Get the value of the “`index`” field. When overloading is enabled, this is equivalent to

    get glyph #index

setGlyphIndex :: MonadIO m => Glyph -> CULong -> m () Source #

Set the value of the “`index`” field. When overloading is enabled, this is equivalent to

    set glyph [ #index := value ]

## x

No description available in the introspection data.

getGlyphX :: MonadIO m => Glyph -> m Double Source #

Get the value of the “`x`” field. When overloading is enabled, this is equivalent to

    get glyph #x

setGlyphX :: MonadIO m => Glyph -> Double -> m () Source #

Set the value of the “`x`” field. When overloading is enabled, this is equivalent to

    set glyph [ #x := value ]

## y

No description available in the introspection data.

getGlyphY :: MonadIO m => Glyph -> m Double Source #

Get the value of the “`y`” field. When overloading is enabled, this is equivalent to

    get glyph #y

setGlyphY :: MonadIO m => Glyph -> Double -> m () Source #

Set the value of the “`y`” field. When overloading is enabled, this is equivalent to

    set glyph [ #y := value ]